Package org.apache.nutch.indexer

## Class CleaningJob.DeleterReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<ByteWritable,​Text,​Text,​ByteWritable>
  - - org.apache.nutch.indexer.CleaningJob.DeleterReducer

- Enclosing class:
    CleaningJob

      public static class CleaningJob.DeleterReducer
      extends Reducer<ByteWritable,​Text,​Text,​ByteWritable>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeleterReducer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup​(Reducer.Context context)` |
    `void` | `reduce​(ByteWritable key, Iterable<Text> values, Reducer.Context context)` |
    `void` | `setup​(Reducer.Context context)` |

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleterReducer

          public DeleterReducer()

  - ### Method Detail

    - #### setup

          public void setup​(Reducer.Context context)

      Overrides:
        `setup` in class `Reducer<ByteWritable,​Text,​Text,​ByteWritable>`

    - #### cleanup

          public void cleanup​(Reducer.Context context)
                       throws IOException

      Overrides:
        `cleanup` in class `Reducer<ByteWritable,​Text,​Text,​ByteWritable>`
      Throws:
        `IOException`

    - #### reduce

          public void reduce​(ByteWritable key,
                             Iterable<Text> values,
                             Reducer.Context context)
                      throws IOException

      Overrides:
        `reduce` in class `Reducer<ByteWritable,​Text,​Text,​ByteWritable>`
      Throws:
        `IOException`